namespace CalcolatriceStatica {

public class PrincipaleStatica {

    public static void EseguiOperazioni() {
        bool continua = true;
        while (continua) {
            double a, b, risultato = 0;
            int scelta = PrincipaleStatica.SchermoMenu();
            if (scelta == 0) {
                continua = false;
            } else {
                System.Console.Write("   Inserisci il primo argomento:   --> ");
                a = Unibas.Utilita.Console.LeggiDouble();
                System.Console.Write("   Inserisci il secondo argomento: --> ");
                b = Unibas.Utilita.Console.LeggiDouble();
                if (scelta == 1) {
                    CalcolatriceStatica.Somma(a, b);
                    risultato = CalcolatriceStatica.GetRisultato();
                }
                if (scelta == 2) {
                    CalcolatriceStatica.Sottrai(a, b);
                    risultato = CalcolatriceStatica.GetRisultato();
                }
                if (scelta == 3) {
                    CalcolatriceStatica.Moltiplica(a, b);
                    risultato = CalcolatriceStatica.GetRisultato();
                }
                if (scelta == 4) {
                    while (b == 0) {
                        System.Console.WriteLine("   Errore. Dividendo nullo.");
                        System.Console.Write("   Inserisci il secondo argomento: --> ");
                        b = Unibas.Utilita.Console.LeggiDouble();
                    }
                    CalcolatriceStatica.Dividi(a, b);
                    risultato = CalcolatriceStatica.GetRisultato();
                }
                System.Console.WriteLine("\n   Risultato: " + risultato + "\n");
            }
        }
        System.Console.WriteLine("\nArrivederci.");
    }

    private static int SchermoMenu() {
        int scelta;
        System.Console.WriteLine("-------------------------------");
        System.Console.WriteLine("        Calcolatrice           ");
        System.Console.WriteLine("-------------------------------");
        System.Console.WriteLine();
        System.Console.WriteLine("   1. Esegui somma");
        System.Console.WriteLine("   2. Esegui differenza");
        System.Console.WriteLine("   3. Esegui moltiplicazione");
        System.Console.WriteLine("   4. Esegui divisione");
        System.Console.WriteLine();
        System.Console.WriteLine("   0. Esci");
        System.Console.WriteLine();
        System.Console.Write("   Scelta ----> ");
        scelta = Unibas.Utilita.Console.LeggiIntero();
        while ((scelta < 0) || (scelta > 4)) {
            System.Console.WriteLine("   Errore. Ripeti ----> ");
            scelta = Unibas.Utilita.Console.LeggiIntero();
        }
        return scelta;
    }
    
    public static void Main(string[] args) {
        PrincipaleStatica.EseguiOperazioni();
    }
}

}