namespace Circonferenze {

public class Circonferenza {
    
    public const double PIGRECO = 3.14;
        
    public Circonferenza(double ascissaCentro, double ordinataCentro, double raggio) {
        this.raggio = raggio;
        this.ascissaCentro = ascissaCentro;
        this.ordinataCentro = ordinataCentro;
    }

    public Circonferenza() {}
        
    private double ascissaCentro;
    private double ordinataCentro;
    private double raggio;
        
    public double GetAscissaCentro() {
        return this.ascissaCentro;
    }

    public void SetAscissaCentro(double ascissaCentro) {
        this.ascissaCentro = ascissaCentro;
    }

    public double GetOrdinataCentro() {
        return this.ordinataCentro;
    }

    public void SetOrdinataCentro(double ordinataCentro) {
        this.ordinataCentro = ordinataCentro;
    }

    public double GetRaggio() {
        return this.raggio;
    }
    
    public void SetRaggio(double raggio) {
        this.raggio = raggio;
    }

            
    public double GetLunghezzaCirconferenza() {
        return (2 * Circonferenza.PIGRECO * this.raggio);
    }
    
    public double GetSuperficieCerchio() {
        return (Circonferenza.PIGRECO * this.raggio * this.raggio);
    }
    
}

}
