namespace Segmenti {

public class Principale {
        
    public void Esegui() {
        Segmento segmento = new Segmento();
        System.Console.WriteLine("Immetti le coordinate del primo vertice");
        Punto primoVertice = SchermoLeggiDatiPunto();
        segmento.SetPrimoVertice(primoVertice);
        System.Console.WriteLine();
        System.Console.WriteLine("Immetti le coordinate del secondo vertice");
        Punto secondoVertice = SchermoLeggiDatiPunto();
        segmento.SetSecondoVertice(secondoVertice);
        SchermoStampaDatiSegmento(segmento);
        System.Console.WriteLine("\nArrivederci.");
    }

    private Punto SchermoLeggiDatiPunto() {
        Punto punto = new Punto();
        System.Console.Write("Ascissa   : --> ");
        double ascissa = Unibas.Utilita.Console.LeggiDouble();
        System.Console.Write("Ordinata  : --> ");
        double ordinata = Unibas.Utilita.Console.LeggiDouble();
        punto.SetAscissa(ascissa);
        punto.SetOrdinata(ordinata);
        return punto;
    }

    private void SchermoStampaDatiSegmento(Segmento segmento) {
        System.Console.WriteLine("\nDati del segmento:");
        System.Console.WriteLine("----------------------");
        System.Console.WriteLine("Primo vertice   : " + segmento.GetPrimoVertice().ToString());
        System.Console.WriteLine("Secondo vertice : " + segmento.GetSecondoVertice().ToString());
        System.Console.WriteLine("Quadrante del primo vertice   : " + segmento.GetPrimoVertice().GetQuadrante());
        System.Console.WriteLine("Quadrante del secondo vertice : " + segmento.GetSecondoVertice().GetQuadrante());
        System.Console.WriteLine("Lunghezza del segmento: " + segmento.GetLunghezza());
    }

    public static void Main(string[] args) {
        Principale principale = new Principale();
        principale.Esegui();
    }

}

}