namespace Segmenti {

public class Principale {
        
    public void Esegui() {
        Segmento segmento = new Segmento();
        System.Console.WriteLine("Immetti le coordinate del primo vertice");
        Punto primoVertice = SchermoLeggiDatiPunto();
        segmento.PrimoVertice = primoVertice;
        System.Console.WriteLine();
        System.Console.WriteLine("Immetti le coordinate del secondo vertice");
        Punto secondoVertice = SchermoLeggiDatiPunto();
        segmento.SecondoVertice = secondoVertice;
        SchermoStampaDatiSegmento(segmento);
        System.Console.WriteLine("\nArrivederci.");
    }

    private Punto SchermoLeggiDatiPunto() {
        Punto punto = new Punto();
        System.Console.Write("Ascissa   : --> ");
        double ascissa = Unibas.Utilita.Console.LeggiDouble();
        System.Console.Write("Ordinata  : --> ");
        double ordinata = Unibas.Utilita.Console.LeggiDouble();
        punto.Ascissa = ascissa;
        punto.Ordinata = ordinata;
        return punto;
    }

    private void SchermoStampaDatiSegmento(Segmento segmento) {
        System.Console.WriteLine("\nDati del segmento:");
        System.Console.WriteLine("----------------------");
        System.Console.WriteLine("Primo vertice   : " + segmento.PrimoVertice.ToString());
        System.Console.WriteLine("Secondo vertice : " + segmento.SecondoVertice.ToString());
        System.Console.WriteLine("Quadrante del primo vertice   : " + segmento.PrimoVertice.Quadrante);
        System.Console.WriteLine("Quadrante del secondo vertice : " + segmento.PrimoVertice.Quadrante);
        System.Console.WriteLine("Lunghezza del segmento: " + segmento.Lunghezza);
    }

    public static void Main(string[] args) {
        Principale principale = new Principale();
        principale.Esegui();
    }

}

}