namespace Segmenti {

using NUnit.Framework;

[TestFixture]
public class TestPunto {

    private Punto punto;

    [SetUp]
    protected void SetUp() {
        punto = new Punto();
    }

    [Test]
    public void TestQuadrante1() {
        punto.Ascissa = 1.5;
        punto.Ordinata = 2;
        Assert.IsTrue(punto.Quadrante == 1, "quadrante 1.1");
        punto.Ascissa = 1.5;
        punto.Ordinata = 0;
        Assert.IsTrue(punto.Quadrante == 1, "quadrante 1.2");
        punto.Ascissa = 0;
        punto.Ordinata = 2;
        Assert.IsTrue(punto.Quadrante == 1, "quadrante 1.3");
    }

    [Test]
    public void TestQuadrante2() {
        punto.Ascissa = -1.5;
        punto.Ordinata = 2;
        Assert.IsTrue(punto.Quadrante == 2, "quadrante 2.1");
        punto.Ascissa = -1.5;
        punto.Ordinata = 0;
        Assert.IsTrue(punto.Quadrante == 2, "quadrante 2.2");
    }

    [Test]
    public void TestQuadrante3() {
        punto.Ascissa = -1.5;
        punto.Ordinata = -2;
        Assert.IsTrue(punto.Quadrante == 3, "quadrante 1.1");
    }

    [Test]
    public void TestQuadrante4() {
        punto.Ascissa = 1.5;
        punto.Ordinata = -2;
        Assert.IsTrue(punto.Quadrante == 4, "quadrante 4.1");
        punto.Ascissa = 0;
        punto.Ordinata = -2;
        Assert.IsTrue(punto.Quadrante == 4, "quadrante 4.2");
    }

}

}