namespace Circonferenze {

public class Comparatore {
    
    public int PosizioneMassimaCirconferenza(Circonferenza[] collezione) {
        if (collezione == null || collezione.Length == 0) {
            throw new System.ArgumentException("Array vuoto.");
        } else {
            int posizioneMassimo = 0;
            for (int i = 1; i < collezione.Length; i++) {
                if (collezione[posizioneMassimo].GetLunghezzaCirconferenza() < 
                    collezione[i].GetLunghezzaCirconferenza()) {
                        posizioneMassimo = i;
                }
            }
            return posizioneMassimo;
        }
    }
    
}

}

