namespace Segmenti {

public class Segmento {
        
    private Punto primoVertice;
    private Punto secondoVertice;
    
    public Punto GetPrimoVertice() {
        return this.primoVertice;
    } 
    
    public void SetPrimoVertice(Punto primoVertice) {
        this.primoVertice = primoVertice;
    }
    
    public Punto GetSecondoVertice() {
        return this.secondoVertice;
    } 
    
    public void SetSecondoVertice(Punto secondoVertice) {
        this.secondoVertice = secondoVertice;
    }
    
    public double GetLunghezza() {
        double x1 = this.primoVertice.GetAscissa();
        double y1 = this.primoVertice.GetOrdinata();
        double x2 = this.secondoVertice.GetAscissa();
        double y2 = this.secondoVertice.GetOrdinata();
        return System.Math.Sqrt(System.Math.Pow(x1 - x2, 2) 
                              + System.Math.Pow(y1 - y2, 2));
    }

}

}