namespace Segmenti {

public class Punto {

    private double ascissa;
    private double ordinata;
    
    public double Ascissa {
        get {
            return this.ascissa;
        }
        set {
            this.ascissa = value;
        }
    }
    
    public double Ordinata {
        get {
            return this.ordinata;
        }
        set {
            this.ordinata = value;
        }
    }

    public int Quadrante {
        get {
            int quadrante = 4;
            if (this.ascissa >=0 && this.ordinata >= 0) {
                quadrante = 1;
            } else if (this.ascissa < 0 && this.ordinata >= 0){
                quadrante = 2;
            } else if (this.ascissa < 0 && this.ordinata < 0) {
                quadrante = 3;
            }
            return quadrante;
        }
    }

    public override string ToString() {
        return "(" + this.ascissa + ", " + this.ordinata + ")";
    }
    
}

}